Bug 1110337 - user management through hammer not working
Summary: user management through hammer not working
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Tom McKay
QA Contact: Tazim Kolhar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-17 13:04 UTC by Tom McKay
Modified: 2016-04-22 15:00 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-07-02 14:04:52 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 6003 None None None 2016-04-22 15:00 UTC

Description Tom McKay 2014-06-17 13:04:21 UTC
Created a new user to manage Katello/Foreman.

The following command produces and error:

# hammer -u admin -p changeme user list
undefined method `key?' for #<JSON::Ext::Generator::State:0x0000000e782a68>

When performing a user info, I can get the first two (admin and a hidden user that I don't know how it was created). The rest of the users info fail with an error:

# hammer -u admin -p changeme user info --id 1
Id:            1
Login:         admin
Name:          Admin User
Email:         root@hq.ltg
Admin:         yes
Authorized by: Internal
Last login:    2014/05/30 20:09:43
Created at:    2014/05/29 16:49:01
Updated at:    2014/05/30 20:09:43

# hammer -u admin -p changeme user info --id 2
Id:            2
Login:         hidden-0zd9qe
Name:           
Email:         sm79ogUAtw@localhost
Admin:         no
Authorized by: Internal
Last login:    
Created at:    2014/05/29 16:49:04
Updated at:    2014/05/29 16:49:04

# hammer -u admin -p changeme user info --id 3
undefined method `key?' for #<JSON::Ext::Generator::State:0x000000102d9c80>

Comment 1 Tom McKay 2014-06-17 13:04:22 UTC
Created from redmine issue http://projects.theforeman.org/issues/6003

Comment 2 Tom McKay 2014-06-17 13:04:27 UTC
Upstream bug assigned to tomckay@redhat.com

Comment 4 Bryan Kearney 2014-06-19 16:04:56 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6003 has been closed

Comment 7 Tazim Kolhar 2014-06-20 07:49:58 UTC
VERIFIED

[root@hp-dl360g5-01 ~]# hammer user info --id 1
Id:            1
Login:         admin
Name:          Admin User
Email:         root@rhts.eng.bos.redhat.com
Admin:         yes
Authorized by: Internal
Last login:    2014/06/20 07:48:57
Created at:    2014/06/20 06:45:54
Updated at:    2014/06/20 07:48:57

[root@hp-dl360g5-01 ~]# hammer user info --id 2
Id:            2
Login:         hidden-wvpqj5
Name:           
Email:         j2zJ331uG2@localhost
Admin:         no
Authorized by: Internal
Last login:    
Created at:    2014/06/20 06:45:59
Updated at:    2014/06/20 06:45:59

[root@hp-dl360g5-01 ~]# hammer user info --id 3
Id:            3
Login:         testuser
Name:          test user
Email:         testuser@redhat.com
Admin:         no
Authorized by: Internal
Last login:    
Organizations: 
    ACME_Corporation
Created at:    2014/06/20 07:47:26
Updated at:    2014/06/20 07:47:26

Comment 8 Bryan Kearney 2014-07-02 14:04:52 UTC
This was delivered with 6.0.3, which is the Satellite 6 Beta.


Note You need to log in before you can comment on or make changes to this bug.